import { jsx } from "react/jsx-runtime";
import { TokenFREN as TokenFREN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenFREN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "FREN", "data-name": "TokenFREN", ...props, children: /* @__PURE__ */ jsx(TokenFREN$1, { variant }) });
  }
);
TokenFREN.displayName = "TokenFREN";
Object.assign(TokenFREN, { isGdsIcon: true });
export {
  TokenFREN
};
